Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Packages moving from kde-base to kde-apps: kontact?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Sat Jan 02, 2016 8:51 pm    Post subject: Packages moving from kde-base to kde-apps: kontact? Reply with quote

Hi,

I am using KDE4 (still) with kmail1 (kmail-4.4.2015.06) due to bad experiences with kmail2 (which I tried to upgrade to several times, every time with much effort to migrate back after crashes/incompatibility issues and in order keep my old and large mailbase). To achieve keeping kmail1 I use some entries in /etc/portage/package.mask to disable kmail2 (and all things belonging to it) update like mentioned here:
https://forums.gentoo.org/viewtopic-t-1006812-highlight-kmail1.html
A few days ago I noticed that after syncing some kde programs moved from kde-base/ to kde-apps/, which made my entries in /etc/portage/package.mask somewhat useless. Just a second before another kmail2-update nightmare I managed to interrupt the update and adapt my package.mask also to cover the new kde-apps/ path in portage, in order not to get kmail2 again.
However one problem remains:
I now have to apply the use flag "-kontact" to kaddressbook, kmail, knode and korganizer, because these packages insist on the newer kontact 4.14.8 even if I mask it, when the use flags don't disable kontact explicitely. This behaviour looks new - the installes packages of kmail etc. have the "kontact" use flag set and this causes an (expected) dependency on kontact-4.4.2015.06.
Any hint why now there is a different dependency on kontact version?


tom
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sat Jan 02, 2016 8:54 pm    Post subject: Reply with quote

Working on it - I have an idea. :)

Please sync again tomorrow, it should be fixed by then. //EDIT: Oh, actually in one or two hours already on a mirror near you - thanks for the report! ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Sun Jan 03, 2016 6:21 pm    Post subject: Reply with quote

I synced one hour ago. Now everything works like before without -kontact use flag.
Thank you! :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum